Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.context.annotation
Class ClosureClassIgnoringComponentScanBeanDefinitionParser

    java.lang.Object
      org.springframework.context.annotation.ComponentScanBeanDefinitionParser
          org.codehaus.groovy.grails.context.annotation.ClosureClassIgnoringComponentScanBeanDefinitionParser

All Implemented Interfaces:
  BeanDefinitionParser

    public class ClosureClassIgnoringComponentScanBeanDefinitionParser

extends ComponentScanBeanDefinitionParser

Extends Spring's default <context:component-scan/> element to ignore Groovy's generated closure classes.

Since:
  1.2
Author:
  Graeme Rocher, Lari Hotari

Constructor Summary
`ClosureClassIgnoringComponentScanBeanDefinitionParser()`

Method Summary
`protected ClassPathBeanDefinitionScanner` | `configureScanner(ParserContext parserContext, Element element)`
`protected ClassPathBeanDefinitionScanner` | `createScanner(XmlReaderContext readerContext, boolean useDefaultFilters)`

Methods inherited from class org.springframework.context.annotation.ComponentScanBeanDefinitionParser
`createTypeFilter, parse, parseBeanNameGenerator, parseScope, parseTypeFilters, registerComponents`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClosureClassIgnoringComponentScanBeanDefinitionParser

    public ClosureClassIgnoringComponentScanBeanDefinitionParser()

Method Detail

### createScanner

    protected ClassPathBeanDefinitionScanner createScanner(XmlReaderContext readerContext,
                                                           boolean useDefaultFilters)

  Overrides:
    `createScanner` in class `ComponentScanBeanDefinitionParser`

### configureScanner

    protected ClassPathBeanDefinitionScanner configureScanner(ParserContext parserContext,
                                                              Element element)

  Overrides:
    `configureScanner` in class `ComponentScanBeanDefinitionParser`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD